avidemux should use pulseaudio by default in ubuntu

Bug #215560 reported by Greg A on 2008-04-11
26
This bug affects 4 people
Affects Status Importance Assigned to Milestone
avidemux (Ubuntu)
Low
Alessio Treglia
Karmic
Low
Unassigned

Bug Description

Binary package hint: avidemux

From Ubuntu 8.04, pulseaudio will be used as the default sound server. Advidemux does not support this out of the box. This creates the illusion that avidemux cannot play sounds.

This is manually fixed as follows: specify “Pulse” [no quotes] as the Alsa device in Edit,Preferences,Audio. Or you can tell Avidemux to use OSS and then start the application using “padsp Avidemux”. (see http://forums.debian.net/viewtopic.php?t=12497)

Maia Everett (linneris) on 2008-05-03
Changed in avidemux:
importance: Undecided → Low
status: New → Triaged
Maia Everett (linneris) on 2008-05-10
Changed in avidemux:
assignee: nobody → sikon
status: Triaged → In Progress
Maia Everett (linneris) on 2008-05-10
Changed in avidemux:
assignee: sikon → nobody
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package avidemux - 1:2.4.1-0.2ubuntu2

---------------
avidemux (1:2.4.1-0.2ubuntu2) intrepid; urgency=low

  * Added debian/patches/03_missing-asm-naming.patch:
    - Fix build failure with GCC 4.3.
    - Patch by Sergey Dryabzhinsky, taken from Gentoo bug 213099.
  * Added debian/patches/04_alsa-device.patch:
    - Change the default ALSA device from "plughw:0,0" to "pulse" (LP: #215560).
      Upstream might consider using "default" instead.
  * Added debian/patches/05_subtitle-font.patch:
    - Change the default subtitle font to DejaVu Sans. (LP: #222773)
    - Modified patch by Festor Wailon Dacoba.
  * debian/rules:
    - Delete config.h.in in clean.

 -- Matvey Kozhev <email address hidden> Sat, 10 May 2008 12:37:45 +0700

Changed in avidemux:
status: Fix Committed → Fix Released

According to my experience, this bug is still present in Intrepid. I just found it and corrected it following Greg's method.

Makario Lewis (makk753) wrote :

I too experienced this bug in Intrepid, but corrected it.

Tao (sauvagelaurent) wrote :

Bug occurs on karmic too

Changed in avidemux (Ubuntu):
status: Fix Released → New
Changed in avidemux (Ubuntu):
status: New → Triaged
Changed in avidemux (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Alessio Treglia (quadrispro)
Changed in avidemux (Ubuntu):
status: In Progress → Fix Committed
Changed in avidemux (Ubuntu Karmic):
importance: Undecided → Low
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package avidemux - 1:2.5.2~rc-0ubuntu2

---------------
avidemux (1:2.5.2~rc-0ubuntu2) lucid; urgency=low

  * Add PulseAudio support (LP: #215560).
  * Append ${misc:Depends} macro to the Depends fields.
 -- Alessio Treglia <email address hidden> Mon, 14 Dec 2009 00:35:23 +0100

Changed in avidemux (Ubuntu):
status: Fix Committed → Fix Released
Alessio Treglia (quadrispro) wrote :

Also fixes #321028 (karmic)

Changed in avidemux (Ubuntu Karmic):
status: Triaged → New
Devid Antonio Filoni (d.filoni) wrote :

ubuntu-sru ACK.

Alessio Treglia (quadrispro) wrote :

Uploaded, sitting in the queue.

Accepted avidemux into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in avidemux (Ubuntu Karmic):
status: New → Fix Committed
tags: added: verification-needed
Alessio Treglia (quadrispro) wrote :

I confirm, the patch works fine (also solves bug #321028).

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package avidemux - 1:2.5.1+repack-0ubuntu2.1

---------------
avidemux (1:2.5.1+repack-0ubuntu2.1) karmic-proposed; urgency=low

  * Add 02-alsa_output.diff to set the correect ALSA device (LP: #321028).
  * Add PulseAudio support (LP: #215560).
 -- Alessio Treglia <email address hidden> Mon, 14 Dec 2009 19:43:11 +0100

Changed in avidemux (Ubuntu Karmic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers